<?xml version="1.0" encoding="UTF-8"?>
<!--
	/*
	* ============================================================================
	* Licensed Materials - Property of IBM
	* Project  Zero
	*
	* (C) Copyright IBM Corp. 2007  All Rights Reserved.
	*
	* US Government Users Restricted Rights - Use, duplication or disclosure
	* restricted by GSA ADP Schedule Contract with IBM Corp.
	* ============================================================================
	*/
-->
<xsl:stylesheet version="1.0"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:atom="http://www.w3.org/2005/Atom"
	xmlns:tran="http://www.example.org/transaction"
	xmlns:pay="http://www.example.org/payroll">
	<xsl:output method="xml" encoding="UTF-8" indent="yes" />
	<xsl:template match="atom:feed">
		<Workbook xmlns="urn:schemas-microsoft-com:office:spreadsheet"
				xmlns:o="urn:schemas-microsoft-com:office:office"
				xmlns:x="urn:schemas-microsoft-com:office:excel"
				xmlns:ss="urn:schemas-microsoft-com:office:spreadsheet"
				xmlns:html="http://www.w3.org/TR/REC-html40">
			<DocumentProperties
				xmlns="urn:schemas-microsoft-com:office:office">
				<Author>Zhuke</Author>
				<LastAuthor>IBM_USER</LastAuthor>
				<Created><xsl:value-of select="atom:published"/></Created>
				<LastSaved>
					<xsl:value-of select="atom:updated" />
				</LastSaved>
				<Company>IBM Corp.</Company>
				<Version>10.6735</Version>
			</DocumentProperties>
			<OfficeDocumentSettings
				xmlns="urn:schemas-microsoft-com:office:office">
				<DownloadComponents />
				<LocationOfComponents HRef="file:///C:\i387\" />
			</OfficeDocumentSettings>
			<ExcelWorkbook xmlns="urn:schemas-microsoft-com:office:excel">
				<WindowHeight>8535</WindowHeight>
				<WindowWidth>12345</WindowWidth>
				<WindowTopX>480</WindowTopX>
				<WindowTopY>90</WindowTopY>
				<ActiveSheet>1</ActiveSheet>
				<ProtectStructure>False</ProtectStructure>
				<ProtectWindows>False</ProtectWindows>
			</ExcelWorkbook>
			
			<ss:Worksheet ss:Name="transactions">
				<ss:Table x:FullColumns="1" x:FullRows="1">
					<ss:Row>
						<ss:Cell>
							<ss:Data ss:Type="String">Date</ss:Data>
						</ss:Cell>
						<ss:Cell>
							<ss:Data ss:Type="String">Item_description</ss:Data>
						</ss:Cell>
						<ss:Cell>
							<ss:Data ss:Type="String">Size</ss:Data>
						</ss:Cell>
						<ss:Cell>
							<ss:Data ss:Type="String">Price</ss:Data>
						</ss:Cell>
					</ss:Row>
					<xsl:for-each select="atom:entry">
						<xsl:if test="tran:Date">
						<ss:Row>
							<ss:Cell><ss:Data ss:Type="String"><xsl:value-of select="tran:Date"/></ss:Data></ss:Cell>
							<ss:Cell><ss:Data ss:Type="String"><xsl:value-of select="tran:item_description"/></ss:Data></ss:Cell>
							<ss:Cell><ss:Data ss:Type="String"><xsl:value-of select="tran:Size"/></ss:Data></ss:Cell>
							<ss:Cell><ss:Data ss:Type="String"><xsl:value-of select="tran:Price"/></ss:Data></ss:Cell>
						</ss:Row>
						</xsl:if>
					</xsl:for-each>
				</ss:Table>
			</ss:Worksheet>
			<ss:Worksheet ss:Name="payroll">
				<ss:Table x:FullColumns="1" x:FullRows="1">
					<ss:Row>
						<ss:Cell>
							<ss:Data ss:Type="String">Employee</ss:Data>
						</ss:Cell>
						<ss:Cell>
							<ss:Data ss:Type="String">Salary</ss:Data>
						</ss:Cell>
						<ss:Cell>
							<ss:Data ss:Type="String">Notes</ss:Data>
						</ss:Cell>
					</ss:Row>
					<xsl:for-each select="atom:entry">
						<xsl:if test="pay:Employee">
						<ss:Row>
							<ss:Cell><ss:Data ss:Type="String"><xsl:value-of select="pay:Employee"/></ss:Data></ss:Cell>
							<ss:Cell><ss:Data ss:Type="String"><xsl:value-of select="pay:Salary"/></ss:Data></ss:Cell>
							<ss:Cell><ss:Data ss:Type="String"><xsl:value-of select="pay:Notes"/></ss:Data></ss:Cell>
						</ss:Row>
						</xsl:if>
					</xsl:for-each>
				</ss:Table>
			</ss:Worksheet>
		</Workbook>
	</xsl:template>
</xsl:stylesheet>
