/*
 * ============================================================================
 * Licensed Materials - Property of IBM
 * Project  Zero
 *
 * (C) Copyright IBM Corp. 2007  All Rights Reserved.
 *
 * US Government Users Restricted Rights - Use, duplication or disclosure
 * restricted by GSA ADP Schedule Contract with IBM Corp.
 * ============================================================================
 */
package script

headers.out."Content-Type" = "text/html"

// get feed with entries order by publish date in decending order
def results = feedFactory.aggregateFeeds(
			"http://rss.news.yahoo.com/rss/topstories",
			"http://rss.cnn.com/rss/cnn_topstories.rss"
			)
			.orderBy("published", false)
			.top(10)

def feed = results.toFeed()

println """
<html><head><title>${feed.title}</title></head>
<body>
"""
// rendering entry by Abdera API
feed.entries.each { entry -> 
	println """
		<h2><a href='${entry.alternateLink.href}'>${entry.title}</a></h2>
		<sub>${entry.published}</sub>
		<p>${entry.summary}</p>
		<hr/>
	"""
}
println "</body></html>"